Class | Ramaze::Response
In: | lib/ramaze/response.rb
Parent: | Rack::Response

Ramaze::Response is a small wrapper around Rack::Response that makes it easier to send response data to the browser from a Ramaze application.

@author Michael Fellinger @since 01-03-2008

### Methods

body= build current new

### Public Class methods

current()

Alias for Current.response

new(body = [], status = 200, header = {}, &block)

Creates a new instance of the response class and processes the specified parameters. Once this has been done it calls Rack::Response#initialize.

@author Michael Fellinger @since 01-03-2008 @param [Array] body An array containing the data for the response body. @param [Fixnum] status The HTPP status code for the response. @param [Hash] header A hash containing additional headers and their

     values.

@param [Proc] &block

### Public Instance methods

body=(obj)

Sets the body of the response to the given object.

@author Michael Fellinger @since 01-03-2008 @param [Object] obj The object to use as the response body.

build(new_body = nil, new_status = nil, new_header = nil)

Updates the body, status and headers.

@author Michael Fellinger @since 01-03-2008 @see Ramaze::Response#initialize

[Validate]